﻿using System.Drawing;
using System.Drawing.Drawing2D;
using System.Windows.Forms;
using Greatis.PrintSuite;

namespace WindowsFormsApplication1
{
  public partial class MainForm : Form
  {
    public MainForm()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
    {
      System.Diagnostics.Process.Start((sender as LinkLabel).Text);
    }

    private void MainForm_Load(object sender, System.EventArgs e)
    {
      printPreviewControl.AutoZoom = true;
      printPreviewControl.Columns = 2;
      printPreviewControl.Rows = 3;
    }

private void fixedGridProvider_PrintCellContent(object sender, Greatis.PrintSuite.Providers.PrintCellEventArgs e)
{
  e.Graphics.FillRectangle(Brushes.Orange, e.CellBounds);
  e.Graphics.DrawString(string.Format("{0}:{1}", e.Column, e.Row), fixedGridProvider.DefaultLayout.Font, Brushes.White, e.CellBounds.Location);
}

private void tabControl_Selected(object sender, TabControlEventArgs e)
{
  if (e.TabPage == tabPagePrint) printPreviewControl.InvalidatePreview();
}
  }
}
