﻿using System.Drawing;
using System.Windows.Forms;
using Greatis.PrintSuite;
using Greatis.PrintSuite.Providers;

namespace WindowsFormsApplication1
{
  public partial class MainForm : Form
  {
    public MainForm()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
    {
      System.Diagnostics.Process.Start((sender as LinkLabel).Text);
    }

private void contentProvider_PrintContent(object sender, PrintContentEventArgs e)
{
  using (Font f = new Font("Trebuchet MS", 96))
    e.Graphics.DrawString((e.ProviderPage + 1).ToString(), f, Brushes.Red, e.ContentBounds.Location);
  if (e.ProviderPage < 2) e.ContinuePrint = ContinuePrint.NextPage;
  else e.ContinuePrint = ContinuePrint.Finish;
}

    private void buttonPreview_Click(object sender, System.EventArgs e)
    {
      printPreviewDialog.ShowDialog();
    }
  }
}
