﻿using System.Drawing;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
  public partial class MainForm : Form
  {
    public MainForm()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
    {
      System.Diagnostics.Process.Start((sender as LinkLabel).Text);
    }

    private void MainForm_Load(object sender, System.EventArgs e)
    {
      // TODO: данная строка кода позволяет загрузить данные в таблицу "northwindDataSet.Customers". При необходимости она может быть перемещена или удалена.
      this.customersTableAdapter.Fill(this.northwindDataSet.Customers);
      printPreviewControl.AutoZoom = true;
    }

    private void dataGridViewProvider_QueryPageSettings(object sender, Greatis.PrintSuite.QueryContentPageSettingsEventArgs e)
    {
      e.PageSettings.Landscape = true;
    }

    private void tabControl_Selected(object sender, TabControlEventArgs e)
    {
      if (e.TabPage == tabPagePrint) printPreviewControl.InvalidatePreview();
    }
  }
}
