﻿using System.Drawing;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
  public partial class MainForm : Form
  {

    private int pageNumber = 0;

    public MainForm()
    {
      InitializeComponent();
      Font = SystemFonts.MessageBoxFont;
    }

    private void linkLabel_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
    {
      System.Diagnostics.Process.Start((sender as LinkLabel).Text);
    }

    private void MainForm_Load(object sender, System.EventArgs e)
    {
      printPreviewControl.AutoZoom = true;
    }

private void printDocument_BeginPrint(object sender, System.Drawing.Printing.PrintEventArgs e)
{
  pageNumber = 1;
}

private void printDocument_PrintPage(object sender, System.Drawing.Printing.PrintPageEventArgs e)
{
  using (Font f = new Font("Trebuchet MS", 96))
    e.Graphics.DrawString(pageNumber.ToString(), f, Brushes.Red, e.MarginBounds.Location);
  e.HasMorePages = pageNumber < 3;
  pageNumber++;
}
  }
}
